Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Static Protected Attributes
Lucene::QueryParserTokenManager Class Reference

Token Manager. More...

`#include <QueryParserTokenManager.h>`

Inheritance diagram for Lucene::QueryParserTokenManager:

## Public Member Functions

| QueryParserTokenManager (const QueryParserCharStreamPtr &stream)
| QueryParserTokenManager (const QueryParserCharStreamPtr &stream, int32_t lexState)
virtual | ~QueryParserTokenManager ()
virtual String | getClassName ()
boost::shared_ptr< QueryParserTokenManager > | shared_from_this ()
void | setDebugStream (const InfoStreamPtr &debugStream)
| Set debug output. More...
void | ReInit (const QueryParserCharStreamPtr &stream)
| Reinitialise parser. More...
void | ReInit (const QueryParserCharStreamPtr &stream, int32_t lexState)
| Reinitialise parser. More...
void | SwitchTo (int32_t lexState)
| Switch to specified lex state. More...
QueryParserTokenPtr | getNextToken ()
| Get the next Token. More...
Public Member Functions inherited from Lucene::QueryParserConstants
virtual | ~QueryParserConstants ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::QueryParserConstants
static String | _getClassName ()

## Data Fields

InfoStreamPtr | debugStream
| Debug output. More...

## Protected Member Functions

int32_t | jjStopStringLiteralDfa_3 (int32_t pos, int64_t active0)
int32_t | jjStartNfa_3 (int32_t pos, int64_t active0)
int32_t | jjStopAtPos (int32_t pos, int32_t kind)
int32_t | jjMoveStringLiteralDfa0_3 ()
int32_t | jjStartNfaWithStates_3 (int32_t pos, int32_t kind, int32_t state)
int32_t | jjMoveNfa_3 (int32_t startState, int32_t curPos)
int32_t | jjStopStringLiteralDfa_1 (int32_t pos, int64_t active0)
int32_t | jjStartNfa_1 (int32_t pos, int64_t active0)
int32_t | jjMoveStringLiteralDfa0_1 ()
int32_t | jjMoveStringLiteralDfa1_1 (int64_t active0)
int32_t | jjStartNfaWithStates_1 (int32_t pos, int32_t kind, int32_t state)
int32_t | jjMoveNfa_1 (int32_t startState, int32_t curPos)
int32_t | jjMoveStringLiteralDfa0_0 ()
int32_t | jjMoveNfa_0 (int32_t startState, int32_t curPos)
int32_t | jjStopStringLiteralDfa_2 (int32_t pos, int64_t active0)
int32_t | jjStartNfa_2 (int32_t pos, int64_t active0)
int32_t | jjMoveStringLiteralDfa0_2 ()
int32_t | jjMoveStringLiteralDfa1_2 (int64_t active0)
int32_t | jjStartNfaWithStates_2 (int32_t pos, int32_t kind, int32_t state)
int32_t | jjMoveNfa_2 (int32_t startState, int32_t curPos)
void | ReInitRounds ()
QueryParserTokenPtr | jjFillToken ()
void | jjCheckNAdd (int32_t state)
void | jjAddStates (int32_t start, int32_t end)
void | jjCheckNAddTwoStates (int32_t state1, int32_t state2)
void | jjCheckNAddStates (int32_t start, int32_t end)
Protected Member Functions inherited from Lucene::QueryParserConstants
| QueryParserConstants ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Static Protected Member Functions

static bool | jjCanMove_0 (int32_t hiByte, int32_t i1, int32_t i2, int64_t l1, int64_t l2)
static bool | jjCanMove_1 (int32_t hiByte, int32_t i1, int32_t i2, int64_t l1, int64_t l2)
static bool | jjCanMove_2 (int32_t hiByte, int32_t i1, int32_t i2, int64_t l1, int64_t l2)

## Protected Attributes

int32_t | curLexState
int32_t | defaultLexState
int32_t | jjnewStateCnt
int32_t | jjround
int32_t | jjmatchedPos
int32_t | jjmatchedKind
QueryParserCharStreamPtr | input_stream
IntArray | jjrounds
IntArray | jjstateSet
wchar_t | curChar
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Static Protected Attributes

static const int64_t | jjbitVec0 []
static const int64_t | jjbitVec1 []
static const int64_t | jjbitVec3 []
static const int64_t | jjbitVec4 []
static const int32_t | jjnextStates []
static const wchar_t * | jjstrLiteralImages []
| Token literal values. More...
static const wchar_t * | lexStateNames []
| Lexer state names. More...
static const int32_t | jjnewLexState []
| Lex State array. More...
static const int64_t | jjtoToken []
static const int64_t | jjtoSkip []
Static Protected Attributes inherited from Lucene::QueryParserConstants
static const wchar_t * | _tokenImage []
| Literal token values. More...

## Additional Inherited Members

Public Types inherited from Lucene::QueryParserConstants

enum

RegularExpressionId {
_EOF = 0 , _NUM_CHAR = 1 , _ESCAPED_CHAR = 2 , _TERM_START_CHAR = 3 ,
_TERM_CHAR = 4 , _WHITESPACE = 5 , _QUOTED_CHAR = 6 , AND = 8 ,
OR = 9 , NOT = 10 , PLUS = 11 , MINUS = 12 ,
LPAREN = 13 , RPAREN = 14 , COLON = 15 , STAR = 16 ,
CARAT = 17 , QUOTED = 18 , TERM = 19 , FUZZY_SLOP = 20 ,
PREFIXTERM = 21 , WILDTERM = 22 , RANGEIN_START = 23 , RANGEEX_START = 24 ,
NUMBER = 25 , RANGEIN_TO = 26 , RANGEIN_END = 27 , RANGEIN_QUOTED = 28 ,
RANGEIN_GOOP = 29 , RANGEEX_TO = 30 , RANGEEX_END = 31 , RANGEEX_QUOTED = 32 ,
RANGEEX_GOOP = 33
}

enum | LexicalState { Boost = 0 , RangeEx = 1 , RangeIn = 2 , DEFAULT = 3 }
Static Public Attributes inherited from Lucene::QueryParserConstants
static Collection< String > | tokenImage
| Literal token values. More...

## Detailed Description

Token Manager.

## Constructor & Destructor Documentation

## ◆ QueryParserTokenManager() [1/2]

Lucene::QueryParserTokenManager::QueryParserTokenManager | ( | const QueryParserCharStreamPtr & | stream | ) |

## ◆ QueryParserTokenManager() [2/2]

Lucene::QueryParserTokenManager::QueryParserTokenManager | ( | const QueryParserCharStreamPtr & | stream,
|  | int32_t | lexState
| ) |  |

## ◆ ~QueryParserTokenManager()

virtual Lucene::QueryParserTokenManager::~QueryParserTokenManager | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::QueryParserTokenManager::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::QueryParserTokenManager::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::QueryParserConstants.

## ◆ getNextToken()

QueryParserTokenPtr Lucene::QueryParserTokenManager::getNextToken | ( |  | ) |

Get the next Token.

## ◆ jjAddStates()

void Lucene::QueryParserTokenManager::jjAddStates | ( | int32_t | start,
|  | int32_t | end
| ) |  |

protected

## ◆ jjCanMove_0()

static bool Lucene::QueryParserTokenManager::jjCanMove_0 | ( | int32_t | hiByte,
|  | int32_t | i1,
|  | int32_t | i2,
|  | int64_t | l1,
|  | int64_t | l2
| ) |  |

static protected

## ◆ jjCanMove_1()

static bool Lucene::QueryParserTokenManager::jjCanMove_1 | ( | int32_t | hiByte,
|  | int32_t | i1,
|  | int32_t | i2,
|  | int64_t | l1,
|  | int64_t | l2
| ) |  |

static protected

## ◆ jjCanMove_2()

static bool Lucene::QueryParserTokenManager::jjCanMove_2 | ( | int32_t | hiByte,
|  | int32_t | i1,
|  | int32_t | i2,
|  | int64_t | l1,
|  | int64_t | l2
| ) |  |

static protected

## ◆ jjCheckNAdd()

void Lucene::QueryParserTokenManager::jjCheckNAdd | ( | int32_t | state | ) |

protected

## ◆ jjCheckNAddStates()

void Lucene::QueryParserTokenManager::jjCheckNAddStates | ( | int32_t | start,
|  | int32_t | end
| ) |  |

protected

## ◆ jjCheckNAddTwoStates()

void Lucene::QueryParserTokenManager::jjCheckNAddTwoStates | ( | int32_t | state1,
|  | int32_t | state2
| ) |  |

protected

## ◆ jjFillToken()

QueryParserTokenPtr Lucene::QueryParserTokenManager::jjFillToken | ( |  | ) |

protected

## ◆ jjMoveNfa_0()

int32_t Lucene::QueryParserTokenManager::jjMoveNfa_0 | ( | int32_t | startState,
|  | int32_t | curPos
| ) |  |

protected

## ◆ jjMoveNfa_1()

int32_t Lucene::QueryParserTokenManager::jjMoveNfa_1 | ( | int32_t | startState,
|  | int32_t | curPos
| ) |  |

protected

## ◆ jjMoveNfa_2()

int32_t Lucene::QueryParserTokenManager::jjMoveNfa_2 | ( | int32_t | startState,
|  | int32_t | curPos
| ) |  |

protected

## ◆ jjMoveNfa_3()

int32_t Lucene::QueryParserTokenManager::jjMoveNfa_3 | ( | int32_t | startState,
|  | int32_t | curPos
| ) |  |

protected

## ◆ jjMoveStringLiteralDfa0_0()

int32_t Lucene::QueryParserTokenManager::jjMoveStringLiteralDfa0_0 | ( |  | ) |

protected

## ◆ jjMoveStringLiteralDfa0_1()

int32_t Lucene::QueryParserTokenManager::jjMoveStringLiteralDfa0_1 | ( |  | ) |

protected

## ◆ jjMoveStringLiteralDfa0_2()

int32_t Lucene::QueryParserTokenManager::jjMoveStringLiteralDfa0_2 | ( |  | ) |

protected

## ◆ jjMoveStringLiteralDfa0_3()

int32_t Lucene::QueryParserTokenManager::jjMoveStringLiteralDfa0_3 | ( |  | ) |

protected

## ◆ jjMoveStringLiteralDfa1_1()

int32_t Lucene::QueryParserTokenManager::jjMoveStringLiteralDfa1_1 | ( | int64_t | active0 | ) |

protected

## ◆ jjMoveStringLiteralDfa1_2()

int32_t Lucene::QueryParserTokenManager::jjMoveStringLiteralDfa1_2 | ( | int64_t | active0 | ) |

protected

## ◆ jjStartNfa_1()

int32_t Lucene::QueryParserTokenManager::jjStartNfa_1 | ( | int32_t | pos,
|  | int64_t | active0
| ) |  |

protected

## ◆ jjStartNfa_2()

int32_t Lucene::QueryParserTokenManager::jjStartNfa_2 | ( | int32_t | pos,
|  | int64_t | active0
| ) |  |

protected

## ◆ jjStartNfa_3()

int32_t Lucene::QueryParserTokenManager::jjStartNfa_3 | ( | int32_t | pos,
|  | int64_t | active0
| ) |  |

protected

## ◆ jjStartNfaWithStates_1()

int32_t Lucene::QueryParserTokenManager::jjStartNfaWithStates_1 | ( | int32_t | pos,
|  | int32_t | kind,
|  | int32_t | state
| ) |  |

protected

## ◆ jjStartNfaWithStates_2()

int32_t Lucene::QueryParserTokenManager::jjStartNfaWithStates_2 | ( | int32_t | pos,
|  | int32_t | kind,
|  | int32_t | state
| ) |  |

protected

## ◆ jjStartNfaWithStates_3()

int32_t Lucene::QueryParserTokenManager::jjStartNfaWithStates_3 | ( | int32_t | pos,
|  | int32_t | kind,
|  | int32_t | state
| ) |  |

protected

## ◆ jjStopAtPos()

int32_t Lucene::QueryParserTokenManager::jjStopAtPos | ( | int32_t | pos,
|  | int32_t | kind
| ) |  |

protected

## ◆ jjStopStringLiteralDfa_1()

int32_t Lucene::QueryParserTokenManager::jjStopStringLiteralDfa_1 | ( | int32_t | pos,
|  | int64_t | active0
| ) |  |

protected

## ◆ jjStopStringLiteralDfa_2()

int32_t Lucene::QueryParserTokenManager::jjStopStringLiteralDfa_2 | ( | int32_t | pos,
|  | int64_t | active0
| ) |  |

protected

## ◆ jjStopStringLiteralDfa_3()

int32_t Lucene::QueryParserTokenManager::jjStopStringLiteralDfa_3 | ( | int32_t | pos,
|  | int64_t | active0
| ) |  |

protected

## ◆ ReInit() [1/2]

void Lucene::QueryParserTokenManager::ReInit | ( | const QueryParserCharStreamPtr & | stream | ) |

Reinitialise parser.

## ◆ ReInit() [2/2]

void Lucene::QueryParserTokenManager::ReInit | ( | const QueryParserCharStreamPtr & | stream,
|  | int32_t | lexState
| ) |  |

Reinitialise parser.

## ◆ ReInitRounds()

void Lucene::QueryParserTokenManager::ReInitRounds | ( |  | ) |

protected

## ◆ setDebugStream()

void Lucene::QueryParserTokenManager::setDebugStream | ( | const InfoStreamPtr & | debugStream | ) |

Set debug output.

## ◆ shared_from_this()

boost::shared_ptr< QueryParserTokenManager > Lucene::QueryParserTokenManager::shared_from_this | ( |  | ) |

inline

## ◆ SwitchTo()

void Lucene::QueryParserTokenManager::SwitchTo | ( | int32_t | lexState | ) |

Switch to specified lex state.

## Field Documentation

## ◆ curChar

wchar_t Lucene::QueryParserTokenManager::curChar

protected

## ◆ curLexState

int32_t Lucene::QueryParserTokenManager::curLexState

protected

## ◆ debugStream

InfoStreamPtr Lucene::QueryParserTokenManager::debugStream

Debug output.

## ◆ defaultLexState

int32_t Lucene::QueryParserTokenManager::defaultLexState

protected

## ◆ input_stream

QueryParserCharStreamPtr Lucene::QueryParserTokenManager::input_stream

protected

## ◆ jjbitVec0

const int64_t Lucene::QueryParserTokenManager::jjbitVec0[]

static protected

## ◆ jjbitVec1

const int64_t Lucene::QueryParserTokenManager::jjbitVec1[]

static protected

## ◆ jjbitVec3

const int64_t Lucene::QueryParserTokenManager::jjbitVec3[]

static protected

## ◆ jjbitVec4

const int64_t Lucene::QueryParserTokenManager::jjbitVec4[]

static protected

## ◆ jjmatchedKind

int32_t Lucene::QueryParserTokenManager::jjmatchedKind

protected

## ◆ jjmatchedPos

int32_t Lucene::QueryParserTokenManager::jjmatchedPos

protected

## ◆ jjnewLexState

const int32_t Lucene::QueryParserTokenManager::jjnewLexState[]

static protected

Lex State array.

## ◆ jjnewStateCnt

int32_t Lucene::QueryParserTokenManager::jjnewStateCnt

protected

## ◆ jjnextStates

const int32_t Lucene::QueryParserTokenManager::jjnextStates[]

static protected

## ◆ jjround

int32_t Lucene::QueryParserTokenManager::jjround

protected

## ◆ jjrounds

IntArray Lucene::QueryParserTokenManager::jjrounds

protected

## ◆ jjstateSet

IntArray Lucene::QueryParserTokenManager::jjstateSet

protected

## ◆ jjstrLiteralImages

const wchar_t* Lucene::QueryParserTokenManager::jjstrLiteralImages[]

static protected

Token literal values.

## ◆ jjtoSkip

const int64_t Lucene::QueryParserTokenManager::jjtoSkip[]

static protected

## ◆ jjtoToken

const int64_t Lucene::QueryParserTokenManager::jjtoToken[]

static protected

## ◆ lexStateNames

const wchar_t* Lucene::QueryParserTokenManager::lexStateNames[]

static protected

Lexer state names.

The documentation for this class was generated from the following file:

- QueryParserTokenManager.h

clucene.sourceforge.net